For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDashboard
GuidesAPI Reference
GuidesAPI Reference
  • Endpoints
      • POSTCreate a load
      • POSTBatch create loads
      • GETList loads
      • GETGet a load
      • PATCHUpdate a load
      • GETGet load statistics
LogoLogo
SupportDashboard
EndpointsLoads

Get a load

GET
/loads/:load_id
GET
/api/v1/loads/:load_id
$curl https://tryenvoy.ai/api/v1/loads/load_id \
> -H "Authorization: Bearer <token>"
1{
2 "id": "load_00000000-0000-0000-0000-000000000000",
3 "load_number": "string",
4 "organization_id": "org_00000000-0000-0000-0000-000000000000",
5 "equipment_type": "VAN",
6 "created_at": "2024-01-15T09:30:00Z",
7 "updated_at": "2024-01-15T09:30:00Z",
8 "tms_load_id": "string",
9 "external_id": "string",
10 "mode": "FTL",
11 "load_status": "string",
12 "tms_status": "string",
13 "weight": 1.1,
14 "distance": 1.1,
15 "commodity": "string",
16 "po_numbers": [
17 "string"
18 ],
19 "posted_rate": 1,
20 "max_buy_rate": 1,
21 "suggested_market_rate": 1,
22 "length_feet": 1,
23 "special_instructions": [
24 "string"
25 ],
26 "is_posted": false,
27 "temperature_setting_minimum": 1,
28 "temperature_setting_maximum": 1,
29 "temperature_run_type": "string",
30 "last_reported_state": "string",
31 "last_reported_city": "string",
32 "last_reported_long": 1.1,
33 "last_reported_lat": 1.1,
34 "tms_carrier_id": "string",
35 "carrier_name": "string",
36 "customer_name": "string",
37 "carrier_rep": {
38 "type": "Driver",
39 "first_name": "string",
40 "last_name": "string",
41 "phone": "string",
42 "email": "string"
43 },
44 "driver": {
45 "type": "Driver",
46 "first_name": "string",
47 "last_name": "string",
48 "phone": "string",
49 "email": "string"
50 },
51 "carrier_rep_user_id": "usr_00000000-0000-0000-0000-000000000000",
52 "stops": [
53 {
54 "location": {
55 "city": "string",
56 "state": "string",
57 "street": "string",
58 "postal_code": "string",
59 "country": "string",
60 "company_name": "string",
61 "county": "string",
62 "latitude": 1.1,
63 "longitude": 1.1
64 },
65 "stop_number": 1,
66 "is_pickup": true,
67 "is_dropoff": true,
68 "expected_date": "2024-01-15T09:30:00Z",
69 "contact": {
70 "type": "Driver",
71 "first_name": "string",
72 "last_name": "string",
73 "phone": "string",
74 "email": "string"
75 },
76 "type": "Pickup",
77 "planned": {
78 "start": "2024-01-15T09:30:00Z",
79 "end": "2024-01-15T09:30:00Z"
80 },
81 "pickup_delivery_number": "string",
82 "contacts": [
83 {
84 "type": "Driver",
85 "first_name": "string",
86 "last_name": "string",
87 "phone": "string",
88 "email": "string"
89 }
90 ],
91 "actual_stop_times": {
92 "arrival_datetime": "2024-01-15T09:30:00Z",
93 "departure_datetime": "2024-01-15T09:30:00Z"
94 },
95 "carrier_eta": "2024-01-15T09:30:00Z"
96 }
97 ],
98 "context": {},
99 "custom_fields": {},
100 "offer_count": 0,
101 "max_offer_amount": 1.1
102}

Get a single load by ID.

Authentication: Supports API key and bearer token authentication.

Was this page helpful?
Previous

Update a load

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

load_idstringRequiredformat: "uuid"

Headers

X-Organization-IDstring or nullOptional

Response

Successful Response
idstringformat: "^load_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"
load_numberstring
organization_idstringformat: "^org_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"
equipment_typeenum

Canonical equipment types used across loads, carriers, and lane preferences.

Uses StrEnum (not the class X(str, Enum) pattern) so that str(EquipmentType.VAN) and f"{EquipmentType.VAN}" return "VAN" instead of the default Enum.__str__ of "EquipmentType.VAN". Python 3.12 does not collapse __str__/__format__ for (str, Enum) subclasses, which would silently corrupt every f-string and Jinja template that interpolates an equipment type without .value.

created_atdatetime
updated_atdatetime
tms_load_idstring or null
external_idstring or null
modeenum
Allowed values:
load_statusstring or null
tms_statusstring or null
weightdouble or null
distancedouble or null
commoditystring or null
po_numberslist of strings or null
posted_rateinteger or null
max_buy_rateinteger or null
suggested_market_rateinteger or null
length_feetinteger or null
special_instructionslist of strings or null
is_postedbooleanDefaults to false
temperature_setting_minimuminteger or null
temperature_setting_maximuminteger or null
temperature_run_typestring or null
last_reported_statestring or null
last_reported_citystring or null
last_reported_longdouble or null
last_reported_latdouble or null
tms_carrier_idstring or null
carrier_namestring or null
customer_namestring or null
carrier_repobject or null
Contact information for various parties involved in the load
driverobject or null
Contact information for various parties involved in the load
carrier_rep_user_idstringformat: "^usr_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"
stopslist of objects
contextmap from strings to any
custom_fieldsmap from strings to any
offer_countintegerDefaults to 0
Number of unique carrier offers received
max_offer_amountdouble or null
Highest offer amount received

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error